Bug 1583047 - changelog: Changelog is not capturing rename of files
Summary: changelog: Changelog is not capturing rename of files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
Depends On: 1583018
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-05-28 07:20 UTC by Rochelle
Modified: 2018-09-14 04:02 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1583018
Environment:
Last Closed: 2018-09-04 06:49:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:50:42 UTC

Description Rochelle 2018-05-28 07:20:19 UTC
+++ This bug was initially created as a clone of Bug #1583018 +++

Description of problem:
Changelogs are not capturing renames and hence dependant applications like geo-rep and glusterfind are failing.

Version-Release number of selected component (if applicable):
mainline

How reproducible:
Always

Steps to Reproduce:
1. Set distributed gluster volume
2. Enable changelog
3. Mount the volume and do rename of a file
4. Check the backend changelog for the rename record.

Actual results:
Rename is not getting recorded by changelog

Expected results:
Rename should be recorded by changelog.

Additional info:
    The changelog would journal the rename of files only when the DHT sends a special key on the hashed subvol. The key is not being set.

--- Additional comment from Kotresh HR on 2018-05-28 02:56:51 EDT ---

Volume details:

root@fedora4#gluster vol info
 
Volume Name: master
Type: Replicate
Volume ID: a2eacd30-cd0a-4d20-867e-8c9f465341bd
Status: Started
Snapshot Count: 0
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: fedora4:/bricks/brick0/b0
Brick2: fedora4:/bricks/brick0/b1
Options Reconfigured:
performance.client-io-threads: off
nfs.disable: on
transport.address-family: inet
changelog.changelog: on
geo-replication.indexing: on
geo-replication.ignore-pid-check: on

--- Additional comment from Kotresh HR on 2018-05-28 03:03:38 EDT ---

This is happening only one single dht subvolume. There is a new change in DHT which just does default rename if there is single subvol and this missed the changelog key to be set in xdata.

Comment 12 errata-xmlrpc 2018-09-04 06:49:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.